Bug 219404 - octave: non-failsafe install-info usage
octave: non-failsafe install-info usage
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Quentin Spencer
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-12-12 17:26 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-23 12:31:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-12 17:26:54 EST
octave's install-info invocations are not failsafe against excludedocs or
read-only-netsharedpath-/usr/share installations; appending "|| :" to the
invocations in %post and %preun would fix it.

Additionally, install-info works on plain *.info too, no need to explicitly
specify the .gz extension if you like.

More info: http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
Comment 1 Quentin Spencer 2006-12-23 12:31:34 EST
This has been fixed in CVS and will be in the next release, but I'm not going to
do a new build just for it.

Note You need to log in before you can comment on or make changes to this bug.